package com.navinfo.outdoor.bean;

import java.util.List;

public class ReceivedBean {

    private Integer code;
    private String message;
    private BodyBean body;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        private Integer sptype;
        private List<CsTaskListBean> csTaskList;
        private String address;
        private String telephone;
        private String geo;
        private Double price;
        private Integer type;
        private String name;
        private Integer isExclusive;
        private String memo;
        private String endDate;

        public String getMemo() {
            return memo;
        }

        public void setMemo(String memo) {
            this.memo = memo;
        }

        public String getEndDate() {
            return endDate;
        }

        public void setEndDate(String endDate) {
            this.endDate = endDate;
        }

        public Integer getSptype() {
            return sptype;
        }

        public void setSptype(Integer sptype) {
            this.sptype = sptype;
        }

        public List<CsTaskListBean> getCsTaskList() {
            return csTaskList;
        }

        public void setCsTaskList(List<CsTaskListBean> csTaskList) {
            this.csTaskList = csTaskList;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getTelephone() {
            return telephone;
        }

        public void setTelephone(String telephone) {
            this.telephone = telephone;
        }

        public String getGeo() {
            return geo;
        }

        public void setGeo(String geo) {
            this.geo = geo;
        }

        public Double getPrice() {
            return price;
        }

        public void setPrice(Double price) {
            this.price = price;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Integer getIsExclusive() {
            return isExclusive;
        }

        public void setIsExclusive(Integer isExclusive) {
            this.isExclusive = isExclusive;
        }

        public static class CsTaskListBean {
            private String address;
            private String geo;
            private Double price;
            private String name;

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getGeo() {
                return geo;
            }

            public void setGeo(String geo) {
                this.geo = geo;
            }

            public Double getPrice() {
                return price;
            }

            public void setPrice(Double price) {
                this.price = price;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }
        }
    }
}
